Modifications pour HP-Mini et erreurs avec b43
authorgobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 9 Nov 2010 18:21:40 +0000 (18:21 +0000)
committergobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 9 Nov 2010 18:21:40 +0000 (18:21 +0000)
ubuntu/ubuntu-cfg.sh

index d04180c..6921d22 100755 (executable)
@@ -4,11 +4,21 @@ set -o errexit
 # Liste des items:
 # 1. Désactiver touch CAPS LOCK
 
+#INSTALL_WMAKER=1
+
 GST=gstreamer0.10
 
 APT="sudo apt-get --yes --force-yes"
 AGI="${APT} install"
 
+ubuntu_cleanup()
+{
+    sudo deborphan | xargs sudo apt-get -y remove --purge
+    ${APT} autoremove
+    ${APT} clean
+    ${APT} autoclean
+}
+
 if [ "`id -u`" -eq 0 ]; then
     echo "You must NOT be the super-user to execute this script"
     exit 1
@@ -49,6 +59,10 @@ if dpkg --list | grep "gwibber" 1> /dev/null 2>&1; then
     ${APT} remove --purge gwibber gwibber-service
 fi
 
+if dpkg --list | grep "vinagre" 1> /dev/null 2>&1; then
+    ${APT} remove --purge vinagre
+fi
+
 # Remove proprietary code/drivers
 if dpkg --list | grep "nvidia" 1> /dev/null 2>&1; then
     ${APT} remove --purge nvidia-*
@@ -80,12 +94,34 @@ gconftool-2 --set /apps/nautilus/preferences/media_automount_open --type bool fa
 # Démarrage de Rhythmbox non minimisé
 gconftool-2 --set /apps/rhythmbox/plugins/status-icon/window-visible --type boolean true
 
+# Désactivation demande du mot de passe en mode hibernation
+gconftool --type Boolean --set /apps/gnome-power-manager/lock/suspend false
+gconftool --type Boolean --set /apps/gnome-power-manager/lock/hibernate false
+
+for dir in Public Templates ; do
+    if [ -d ${HOME}/${dir} ]; then
+       rmdir ${HOME}/${dir}
+    fi
+done
+
+# localepurge recovers diskspace wasted for unneeded locale files and localized man pages.
+# It will automagically be invoked upon completion of any apt installation run.
+${AGI} localepurge
+
+if lspci | grep "BCM43" 1> /dev/null 2>&1; then
+    if [ ! -f /etc/modprobe.d/b43.conf ]; then
+        sudo touch /etc/modprobe.d/b43.conf
+        echo "options b43 pio=1 qos=0" | sudo tee -a /etc/modprobe.d/b43.conf
+        ${AGI} b43-fwcutter firmware-b43-lpphy-installer
+    fi
+fi
+
+${AGI} deborphan
+ubuntu_cleanup
+
 ${APT} update
 ${APT} upgrade
 ${APT} dist-upgrade
-${APT} autoremove
-${APT} clean
-${APT} autoclean
 
 # Configuration de GRUB
 sudo sed -i -e 's!^\(GRUB_CMDLINE_LINUX_DEFAULT=\)"quiet splash"!\1"ipv6.disable=1"!' /etc/default/grub
@@ -108,18 +144,6 @@ EOF
 sudo chmod +x /etc/grub.d/05_hugo_theme
 sudo update-grub
 
-# localepurge recovers diskspace wasted for unneeded locale files and localized man pages.
-# It will automagically be invoked upon completion of any apt installation run.
-${AGI} localepurge
-
-if lspci | grep "BCM43" 1> /dev/null 2>&1; then
-    if [ ! -f /etc/modprobe.d/b43.conf ]; then
-        sudo touch /etc/modprobe.d/b43.conf
-        echo "options b43 pio=1 qos=0" | sudo tee -a /etc/modprobe.d/b43.conf
-        ${AGI} b43-fwcutter
-    fi
-fi
-
 ${AGI} emacs
 
 ${AGI} reiserfsprogs gparted
@@ -128,6 +152,9 @@ ${AGI} reiserfsprogs gparted
 ${AGI} nfs-common portmap
 
 # Development
+${AGI} subversion
+${AGI} git
+
 ${AGI} build-essential texinfo gettext gawk bison flex
 ${AGI} autoconf autoconf-doc autotools-dev libtool
 ${AGI} manpages manpages-dev manpages-posix manpages-posix-dev
@@ -143,9 +170,6 @@ ${AGI} libncurses-dev
 # Debian packaging
 ${AGI} dh-make lintian dupload
 
-${AGI} subversion
-${AGI} git
-
 ${AGI} abiword gnumeric gnumeric-plugins-extra
 ${AGI} texlive texlive-latex-recommended texlive-latex-extra texlive-humanities
 
@@ -185,13 +209,15 @@ gconftool -s /desktop/gnome/url-handlers/mailto/command -t string "sylpheed --co
 sed -i -e 's!^\(    <folder type="mh" name="Mailbox" path="\)Mail"!\1\.mail"!' \
     ${HOME}/.sylpheed-2.0/folderlist.xml
 
-${AGI} wmaker
-if [ -d ${HOME}/GNUstep/Library/WindowMaker ]; then
-    cat > ${HOME}/GNUstep/Library/WindowMaker/autostart << "EOF"
+if [ "x${INSTALL_WMAKER}" = "x1" ]; then
+    ${AGI} wmaker
+    if [ -d ${HOME}/GNUstep/Library/WindowMaker ]; then
+        cat > ${HOME}/GNUstep/Library/WindowMaker/autostart << "EOF"
 #!/bin/sh
 gnome-settings-daemon
 EOF
-    chmod 755 ${HOME}/GNUstep/Library/WindowMaker/autostart
+        chmod 755 ${HOME}/GNUstep/Library/WindowMaker/autostart
+    fi
 fi
 
 ${AGI} pcmanfm
@@ -205,7 +231,6 @@ ${AGI} epdfview
 ${AGI} psutils
 ${AGI} gimp
 
-${AGI} deborphan
-sudo deborphan | xargs sudo apt-get -y remove --purge
+ubuntu_cleanup
 
 exit $?